package com.huyi.service;

import com.tianhu.common.security.annotation.EnableCustomConfig;
import com.tianhu.common.security.annotation.EnableRyFeignClients;
import com.tianhu.common.swagger.annotation.EnableCustomSwagger2;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.SpringCloudApplication;

/**
 * 供应链业务模块
 *
 * @author langxb
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableRyFeignClients
@SpringCloudApplication
@SpringBootApplication
@MapperScan("com.huyi.service.*.mapper")
public class ServiceApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(ServiceApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  供应链业务模块启动成功   ლ(´ڡ`ლ)ﾞ  \n" );
    }
}
