package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 企业授信额度表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_finance_pro_com_rel")
public class ZcFinanceProComRel implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId("zfpcr_id")
    private String zfpcrId;

    /**
     * 融资产品(zc_finance_product.zfp_id)
     */
    @TableField("zfpcr_product_id")
    private String zfpcrProductId;

    /**
     * 关联企业(sys_company.scy_id)
     */
    @TableField("zfpcr_company_id")
    private String zfpcrCompanyId;

    /**
     * 授信额度
     */
    @TableField("zfpcr_amount")
    private String zfpcrAmount;

    /**
     * 利率
     */
    @TableField("zfpcr_rate")
    private String zfpcrRate;

    /**
     * 已分割额度
     */
    @TableField("zfpcr_division_amount")
    private String zfpcrDivisionAmount;

    /**
     * 开始日期
     */
    @TableField("zfpcr_start_date")
    private String zfpcrStartDate;

    /**
     * 到期日期
     */
    @TableField("zfpcr_end_date")
    private String zfpcrEndDate;

    /**
     * 状态
     */
    @TableField("zfpcr_status")
    private String zfpcrStatus;

    /**
     * 备用字段1
     */
    @TableField("zfpcr_profit_spare1")
    private String zfpcrProfitSpare1;

    /**
     * 备用字段2
     */
    @TableField("zfpcr_profit_spare2")
    private String zfpcrProfitSpare2;

    /**
     * 备用字段3
     */
    @TableField("zfpcr_profit_spare3")
    private String zfpcrProfitSpare3;

    /**
     * 备用字段4
     */
    @TableField("zfpcr_profit_spare4")
    private String zfpcrProfitSpare4;

    /**
     * 备用字段5
     */
    @TableField("zfpcr_profit_spare5")
    private String zfpcrProfitSpare5;

    /**
     * 备用字段6
     */
    @TableField("zfpcr_profit_spare6")
    private String zfpcrProfitSpare6;

    /**
     * 备用字段7
     */
    @TableField("zfpcr_profit_spare7")
    private String zfpcrProfitSpare7;

    /**
     * 备用字段8
     */
    @TableField("zfpcr_profit_spare8")
    private String zfpcrProfitSpare8;

    /**
     * 备用字段9
     */
    @TableField("zfpcr_profit_spare9")
    private String zfpcrProfitSpare9;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
