package com.huyi.service.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 还款记录表
 * </p>
 *
 * @author xuefy
 * @since 2021-08-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("zc_repayment_record")
public class ZcRepaymentRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId("zrr_id")
    private String zrrId;

    /**
     * 融资记录表ID(zc_finance_record.zfr_id)
     */
    @TableField("zrr_finance_record_id")
    private String zrrFinanceRecordId;

    /**
     * 还款金额
     */
    @TableField("zrr_amount")
    private String zrrAmount;

    /**
     * 还款本金
     */
    @TableField("zrr_principal")
    private String zrrPrincipal;

    /**
     * 还款利息
     */
    @TableField("zrr_interest")
    private String zrrInterest;

    /**
     * 还罚息
     */
    @TableField("zrr_penalty_interest")
    private String zrrPenaltyInterest;

    /**
     * 还款时间
     */
    @TableField("zrr_repayment_date")
    private Date zrrRepaymentDate;

    /**
     * 交易流水号(pay_acc_detail.PAD_NO)
     */
    @TableField("zrr_acc_detail_id")
    private Date zrrAccDetailId;

    /**
     * 状态
     */
    @TableField("zrr_status")
    private String zrrStatus;

    /**
     * 备用字段1
     */
    @TableField("zrr_profit_spare1")
    private String zrrProfitSpare1;

    /**
     * 备用字段2
     */
    @TableField("zrr_profit_spare2")
    private String zrrProfitSpare2;

    /**
     * 备用字段3
     */
    @TableField("zrr_profit_spare3")
    private String zrrProfitSpare3;

    /**
     * 备用字段4
     */
    @TableField("zrr_profit_spare4")
    private String zrrProfitSpare4;

    /**
     * 备用字段5
     */
    @TableField("zrr_profit_spare5")
    private String zrrProfitSpare5;

    /**
     * 备用字段6
     */
    @TableField("zrr_profit_spare6")
    private String zrrProfitSpare6;

    /**
     * 备用字段7
     */
    @TableField("zrr_profit_spare7")
    private String zrrProfitSpare7;

    /**
     * 备用字段8
     */
    @TableField("zrr_profit_spare8")
    private String zrrProfitSpare8;

    /**
     * 备用字段9
     */
    @TableField("zrr_profit_spare9")
    private String zrrProfitSpare9;

    /**
     * 创建者
     */
    @TableField("create_by")
    private String createBy;

    /**
     * 创建时间
     */
    @TableField("create_time")
    private Date createTime;

    /**
     * 更新者
     */
    @TableField("update_by")
    private String updateBy;

    /**
     * 更新时间
     */
    @TableField("update_time")
    private Date updateTime;


}
