package com.huyi.service.base.service.impl;

import com.huyi.service.base.entity.ZcBillFileRel;
import com.huyi.service.base.mapper.ZcBillFileRelMapper;
import com.huyi.service.base.service.IZcBillFileRelService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: ZcBillFileRelServiceImpl<br>
 * Description: IZcBillFileRelService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcBillFileRelServiceImpl extends ServiceImpl<ZcBillFileRelMapper, ZcBillFileRel> implements IZcBillFileRelService {

    @Autowired
    private ZcBillFileRelMapper zcBillFileRelMapper;

    @Override
    public IPage<ZcBillFileRel> findZcBillFileRels(QueryRequest request, LambdaQueryWrapper<ZcBillFileRel> wrapper) {
        Page<ZcBillFileRel> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcBillFileRel> findZcBillFileRels(LambdaQueryWrapper<ZcBillFileRel> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcBillFileRel(ZcBillFileRel zcBillFileRel) {
        this.save(zcBillFileRel);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcBillFileRel(ZcBillFileRel zcBillFileRel) {
        this.saveOrUpdate(zcBillFileRel);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcBillFileRel(LambdaQueryWrapper<ZcBillFileRel> wrapper) {
	    this.remove(wrapper);
	}
}
