package com.huyi.service.base.service.impl;

import com.huyi.service.base.entity.ZcInvoiceInf;
import com.huyi.service.base.mapper.ZcInvoiceInfMapper;
import com.huyi.service.base.service.IZcInvoiceInfService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.beans.factory.annotation.Autowired;
import com.keao.tianhu.starter.mybatis.plus.entity.QueryRequest;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;



import java.util.List;

/**
 * ClassName: ZcInvoiceInfServiceImpl<br>
 * Description: IZcInvoiceInfService实现 <br>
 * Company: keao
 *
 * @author xuefy
 * @version v1.0.0    2021-08-16  xuefy    由Generator自动创建
 */
@Service
@Transactional(propagation = Propagation.SUPPORTS, readOnly = true, rollbackFor = Exception.class)
public class ZcInvoiceInfServiceImpl extends ServiceImpl<ZcInvoiceInfMapper, ZcInvoiceInf> implements IZcInvoiceInfService {

    @Autowired
    private ZcInvoiceInfMapper zcInvoiceInfMapper;

    @Override
    public IPage<ZcInvoiceInf> findZcInvoiceInfs(QueryRequest request, LambdaQueryWrapper<ZcInvoiceInf> wrapper) {
        Page<ZcInvoiceInf> page = new Page<>(request.getPageNum(), request.getPageSize());
        return this.page(page, wrapper);
    }

    @Override
    public List<ZcInvoiceInf> findZcInvoiceInfs(LambdaQueryWrapper<ZcInvoiceInf> wrapper) {
		return this.list(wrapper);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void createZcInvoiceInf(ZcInvoiceInf zcInvoiceInf) {
        this.save(zcInvoiceInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void updateZcInvoiceInf(ZcInvoiceInf zcInvoiceInf) {
        this.saveOrUpdate(zcInvoiceInf);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void deleteZcInvoiceInf(LambdaQueryWrapper<ZcInvoiceInf> wrapper) {
	    this.remove(wrapper);
	}
}
